<ng-container *transloco="let t; read: 'moderate_organizations'">
  <div class="table-container">
    <mat-card appearance="outlined">
      <span class="table-header">
        <p>{{t('user_organizations')}}</p>
        <div>{{selectedUsername ?? t('no_user_selected')}}</div>
      </span>
      <table
        class="table-width"
        mat-table
        matSort
        [dataSource]="dataSource">
        <!-- organization name -->
        <ng-container matColumnDef="organization_name">
          <th
            *matHeaderCellDef
            mat-header-cell
            mat-sort-header>
            {{t('organization_name_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            {{row.organization_name}}
          </td>
        </ng-container>
        <!-- categories -->
        <ng-container matColumnDef="categories">
          <th
            *matHeaderCellDef
            mat-header-cell
            mat-sort-header>
            {{t('categories_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            <span
              class="inline-comma"
              *ngFor="let category of row.categories; last as l">
              {{'organization_categories.'+category|transloco}}
              <span *ngIf="!l"></span>
            </span>
          </td>
        </ng-container>
        <!-- roles -->
        <ng-container matColumnDef="roles">
          <th
            *matHeaderCellDef
            mat-header-cell
            mat-sort-header>
            {{t('roles_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            Fixed in code test role
          </td>
        </ng-container>
        <tbody>
          <tr
            *matHeaderRowDef="displayColumns"
            mat-header-row>
          </tr>
          <tr
            *matRowDef="let row; columns: displayColumns;"
            mat-row>
          </tr>
          <tr
            class="mat-row no-data-table-row"
            *matNoDataRow>
            <td
              class="mat-cell"
              colspan="3">
              {{'general.no_data'|transloco}}
            </td>
          </tr>
        </tbody>
      </table>
    </mat-card>
  </div>
</ng-container>
